Subject: [os2genau_digest] No. 852
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 10 May 2004 00:01:06 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Sunday 09 May 2004
 Number  852
**************************************************

Subjects for today
 
1  Re:  [nb2discuss] Thinkpads Etherjet and PC CardDirector : Ed Durrant <edurrant at bigpond dot net dot au>
2  Re:  [nb2discuss] Thinkpads Etherjet and PC CardDirector : brianb at kdfisher dot com dot au

**= Email   1 ==========================**

Date:  Sun, 09 May 2004 08:16:38 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  [nb2discuss] Thinkpads Etherjet and PC CardDirector

Hi John,

  What is the key point here is the capabilities of the ethernet card you are using. I'm
sure you stipuluated it in an earlier e-mail but perhaps, you can tell me again exactly
which card this is. Doesn'y the TP 390 have onboard ethernet anyway ?? I used to have a
390 but I can't remember, was it only from the i series onwards that ethernet came as
standard ??

You don't need a separate driver for point enabled. setting the switch on the socket
services driver is all that you need to do. Since this also disables socket services for
this slot, autodrv2 is no longer used. Protocol.ini wont have the parameters fo IO, IRQ
etc. unless you add them. The safest way being to do this through MPTS.

As I said, how to get the card working depends on the card. You may want to go and check
what is needed at http://www.os2warp.be where Jonas has collected all relevant data.

Cheers/2

Ed.

John Angelico wrote:

> On Sat, 08 May 2004 13:52:34 +1000, Ed Durrant wrote:
>
> Hi Ed, and thanks for the idea, but Point enabled didn't seem to be an issue
> with the 760EL under eCS1.0x, so I hadn't worried about it here.
>
> Tried it though with both CS20JET.EXE and POINTJET.EXE but to no avail. eCS
> boot sequence didn't get as far as loading the DEVICE= POINTJET.EXE before
> the other entries (mostly BASEDEVs) were processed. The docs say that it must
> be loaded first.
>
> As I recall Point enabled, it seems to be an alternative to using card and
> socket services, which I understand to be supplied by PC Card Director or at
> least the config.sys lines:
>
> BASEDEV=PCMCIA.SYS
> BASEDEV=IBM2SS14.SYS
> BASEDEV=AUTODRV2.SYS
> DEVICE=C:\TPTOOLS\VPCMCIA.SYS
> DEVICE=C:\TPTOOLS\PCMSSDIF.SYS
> DEVICE=C:\TPTOOLS\PCM2SRAM.SYS
> DEVICE=C:\TPTOOLS\FLSH2MTD.SYS
> DEVICE=C:\TPTOOLS\PCM2FLSH.SYS
> BASEDEV=PCM2ATA.ADD /S:2 /!DM /NOBEEP
>
> >Often (as documented in the socket services package) network cards are point enabled.
> >This means you need to set the switch so that socket services ignores the slot you
> >elect to put the card in. As long as your I/O and IRQ settings are correct in
> >protocol.ini, the card will then normally work.
>
> This is the difficult area. Protocol.ini has settings (which I reported prev
> as Memory Address 5B80 0000 IO Address F500 IRQ 5) but has no provision for
> the kinds of IO and Memory addresses shown in the docs. The only place I see
> those (200 to 360, and D0000 to D4000) is in the Script files for AutoDrv2
> hot-swapping.
>
> <sigh> so I still don't know what I am doing wrong on the 390E.
>
> Best regards
> John Angelico
> OS/2 SIG
> os2 at melbpc dot org dot au or
> talldad at kepl dot com dot au
> ___________________
>
> PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
> ... That's fine in practice, but it'll never work in theory.

>  

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sun, 9 May 2004 16:55:26 +1030
From:  brianb at kdfisher dot com dot au
Subject:  Re:  [nb2discuss] Thinkpads Etherjet and PC CardDirector

John,
Hi. I have a disfunctional TP390E, the display is cactus,
and was using an IBM etherjet NIC in it.
I found that the autodetect settings in protocol.ini did not work
and I needed to set all the parameters manually, ie ethernet speed etc
This may be you problem.
-----------------------------------------
Brian Butler
System Administrator
brianb at kdfisher dot com dot au

                                                                                                                                 
                      "John Angelico"                                                                                            
                      <talldad at kepl dot com        To:       "os2genau at os2 dot org dot au" <os2genau at os2 dot org dot au>                             
                      .au>                     cc:                                                                               
                                               Subject:  Re:  [nb2discuss] Thinkpads Etherjet and PC CardDirector      
                      08/05/2004 21:52                                                                                           
                      Please respond to                                                                                          
                      os2genau                                                                                                   

On Sat, 08 May 2004 13:52:34 +1000, Ed Durrant wrote:

Hi Ed, and thanks for the idea, but Point enabled didn't seem to be an
issue
with the 760EL under eCS1.0x, so I hadn't worried about it here.

Tried it though with both CS20JET.EXE and POINTJET.EXE but to no avail. eCS
boot sequence didn't get as far as loading the DEVICE= POINTJET.EXE before
the other entries (mostly BASEDEVs) were processed. The docs say that it
must
be loaded first.

As I recall Point enabled, it seems to be an alternative to using card and
socket services, which I understand to be supplied by PC Card Director or
at
least the config.sys lines:

BASEDEV=PCMCIA.SYS
BASEDEV=IBM2SS14.SYS
BASEDEV=AUTODRV2.SYS
DEVICE=C:\TPTOOLS\VPCMCIA.SYS
DEVICE=C:\TPTOOLS\PCMSSDIF.SYS
DEVICE=C:\TPTOOLS\PCM2SRAM.SYS
DEVICE=C:\TPTOOLS\FLSH2MTD.SYS
DEVICE=C:\TPTOOLS\PCM2FLSH.SYS
BASEDEV=PCM2ATA.ADD /S:2 /!DM /NOBEEP

>Often (as documented in the socket services package) network cards are
point enabled.
>This means you need to set the switch so that socket services ignores the
slot you
>elect to put the card in. As long as your I/O and IRQ settings are correct
in
>protocol.ini, the card will then normally work.

This is the difficult area. Protocol.ini has settings (which I reported
prev
as Memory Address 5B80 0000 IO Address F500 IRQ 5) but has no provision for
the kinds of IO and Memory addresses shown in the docs. The only place I
see
those (200 to 360, and D0000 to D4000) is in the Script files for AutoDrv2
hot-swapping.

<sigh> so I still don't know what I am doing wrong on the 390E.

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or
talldad at kepl dot com dot au
___________________

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... That's fine in practice, but it'll never work in theory.
----------------------------------------------------------------------------------

----------------------------------------------------------------------------------